package com.rjconsultores.ventaboletos.entidad;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@Entity
@SequenceGenerator(name = "CONVENIO_TRANSPORTADORA_SEQ", sequenceName = "CONVENIO_TRANSPORTADORA_SEQ", allocationSize = 1)
@Table(name = "CONVENIO_TRANSPORTADORA")
public class ConvenioTransportadora {

    public ConvenioTransportadora(Long transportadoraId) {
    	this.transportadoraId = transportadoraId;
	}

	@Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "CONVENIO_TRANSPORTADORA_SEQ")    
    @Column(name = "CONVENIOTRANSPORTADORA_ID")
    private Long convenioTransportadoraId;

    @Column(name = "TRANSPORTADORA_ID")
    private Long transportadoraId;

    @Column(name = "NOME_CONVENIO")
    private String nomeConvenio;

    @Column(name = "NUMCONVENIO")
    private String numConvenio;
    
    @Column(name = "VALOR")
    private BigDecimal valor;

    @Column(name = "TIPO_CONVENIO")
    private Integer tipoConvenio;

    @Column(name = "DATA_INICIAL")
    private Date dataInicial;

    @Column(name = "DATA_FINAL")
    private Date dataFinal;

    @Column(name = "USUARIO_ID")
    private Integer usuarioId;

    @Column(name = "ACTIVO")
    private boolean activo;

    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecModif;
 
}