package com.rjconsultores.ventaboletos.entidad;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@Entity
@Table(name = "TIPO_LANCAMENTO_CAIXA")
@SequenceGenerator(name = "TIPO_LANCAMENTO_CAIXA_SEQ", sequenceName = "TIPO_LANCAMENTO_CAIXA_SEQ", allocationSize = 1)
public class TipoLancamentoCaixa {

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "TIPO_LANCAMENTO_CAIXA_SEQ")
    @Column(name = "TIPO_LANCAMENTO_ID")
    private Long tipoLancamentoId;

    @Column(name = "NOME_LANCAMENTO")
    private String nomeLancamento;

    @Column(name = "IND_ACRESCIMO")
    private boolean indAcrescimo;

    @Column(name = "USUARIO_ID")
    private Integer usuarioId;

    @Column(name = "ACTIVO")
    private boolean activo;

    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecModif;

}